# Interface IDxfData

Represents the core parsed DXF data dxfContext.

interface IDxfData {
blocks?: Record<string, DxfBlock>;
entities: IEntity[];
header: Record<string, unknown>;
tables: ITables;
}

#####
Index

### Properties

blocks?
entities
header
tables

##
Properties

### `Optional` blocks

blocks?: Record<string, DxfBlock>

Optional map of block definitions.

### entities

entities: IEntity[]

Collection of all entities parsed from the DXF.

### header

header: Record<string, unknown>

The header section of the DXF file.

### tables

tables: ITables

DXF tables (viewports, layers, line types).